# IgnoreTypeStatusEffectImmunityAbAttr | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class IgnoreTypeStatusEffectImmunityAbAttr

Ignores the type immunity to Status Effects of the defender if the defender is of a certain type

#### Hierarchy (view full)

- AbAttr
  - IgnoreTypeStatusEffectImmunityAbAttr

- Defined in src/data/ability.ts:3337

#####
Index

### Constructors

constructor

### Properties

defenderType
showAbility
statusEffect

### Methods

addCondition
apply
getCondition
getTriggerMessage

## Constructors

### constructor

- new IgnoreTypeStatusEffectImmunityAbAttr(statusEffect, defenderType): IgnoreTypeStatusEffectImmunityAbAttr

- #### Parameters

  - statusEffect: StatusEffect []
  - defenderType: Type []

  #### Returns IgnoreTypeStatusEffectImmunityAbAttr

  Overrides AbAttr.constructor

  - Defined in src/data/ability.ts:3341

## Properties

### `Private` defenderType

defenderType: Type []

- Defined in src/data/ability.ts:3339

### showAbility

showAbility: boolean

Inherited from AbAttr.showAbility

- Defined in src/data/ability.ts:126

### `Private` statusEffect

statusEffect: StatusEffect []

- Defined in src/data/ability.ts:3338

## Methods

### addCondition

- addCondition(condition): AbAttr

- #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from AbAttr.addCondition

  - Defined in src/data/ability.ts:145

### apply

- apply(pokemon, passive, cancelled, args): boolean

- #### Parameters

  - pokemon: default
  - passive: boolean
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns boolean

  Overrides AbAttr.apply

  - Defined in src/data/ability.ts:3348

### getCondition

- getCondition(): AbAttrCondition

- #### Returns AbAttrCondition

  Inherited from AbAttr.getCondition

  - Defined in src/data/ability.ts:141

### getTriggerMessage

- getTriggerMessage(pokemon, abilityName, ...args): string

- #### Parameters

  - pokemon: default
  - abilityName: string
  - `Rest` ...args: any[]

  #### Returns string

  Inherited from AbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:137